wxAppProgressIndicator Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxAppProgressIndicator Class Reference
Class List by Category » Miscellaneous

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/appprogress.h>`

## Detailed Description

A helper class that can be used to update the progress bar in the taskbar button on Windows and the dock icon on macOS.

##

Library: wxCore
Category: Miscellaneous
Availability: only available for the wxMSW, wxOSX/Cocoa ports.

See also
  wxTaskBarButton

Since
  3.1.0

## Public Member Functions
| wxAppProgressIndicator (wxWindow *parent=NULL, int maxValue=100)
| Constructs the wxAppProgressIndicator.
virtual | ~wxAppProgressIndicator ()
| Destructor, stops displaying progress and returns the indicator to its normal state.
bool | IsAvailable () const
| Check if the application progress display is available.
void | SetValue (int value)
| Set the progress value in taskbar button of parent window.
void | SetRange (int range)
| Set the progress range in taskbar button of parent window.
bool | Pulse ()
| Makes the progress bar run in indeterminate mode.

## Constructor & Destructor Documentation

## ◆ wxAppProgressIndicator()

wxAppProgressIndicator::wxAppProgressIndicator | ( | wxWindow * | parent = NULL,
|  | int | maxValue = 100 )

Constructs the wxAppProgressIndicator.

Parameters

  parent | The parent window of wxAppProgressIndicator. Note that the window should has taskbar button showing. If parent is NULL, the progress will reflect on the taskbar buttons of all the top level windows.
  maxValue | Integer range (maximum value) of the progress indicator.

## ◆ ~wxAppProgressIndicator()

virtual wxAppProgressIndicator::~wxAppProgressIndicator | ( |  | ) |
| virtual

Destructor, stops displaying progress and returns the indicator to its normal state.

## Member Function Documentation

## ◆ IsAvailable()

bool wxAppProgressIndicator::IsAvailable | ( |  | ) | const

Check if the application progress display is available.

Currently this only returns true when using wxMSW and running under Windows 7 or later systems (which provide task bar button API) or when using wxOSX.

If this method returns false, no other methods of this class do anything, but they may still be called without any ill effects.

## ◆ Pulse()

bool wxAppProgressIndicator::Pulse | ( |  | ) |

Makes the progress bar run in indeterminate mode.

## ◆ SetRange()

void wxAppProgressIndicator::SetRange | ( | int | range | ) |

Set the progress range in taskbar button of parent window.

## ◆ SetValue()

void wxAppProgressIndicator::SetValue | ( | int | value | ) |

Set the progress value in taskbar button of parent window.

Parameters

  value | The new value of the progress meter. It should be less than or equal to the range.